Subject: Re: [Mipshop] [MEXT] TLV header in DSMIP

From: "Teco Boot" <[email-masked]>
Date: Thu, 3 Apr 2008 15:54:16 +0200

Hi Hesham,
I posted before on using TLV-encap for tunnel optimization (e.g. header
compression).
I think type values can be requested at time of defining protocols for this.
But I think tunnel optimization needs a more efficient TLV structure: 1
octet for only the type is needed, the other 3 octets are overhead and
should be eliminated.
Any objection mentioning such a usage? If not, we block something that
really makes sense.
Teco.

> -----Oorspronkelijk bericht-----
> Van: [email-masked] [mailto:[email-masked]] Namens Hesham
> Soliman
> Verzonden: donderdag 3 april 2008 10:45
> Aan: [email-masked]
> Onderwerp: [MEXT] TLV header in DSMIP
> 
> Folks,
> 
> During one of the reviews for DSMIP the issue came up regarding the
> TLV header Type field values and how the current spec doesn't describe
> how it can be used for IPsec.
> After looking into this a bit I don't see why we would need IPsec for
> this. We originally defined because people wanted to use GRE so the
> format would be:
> IP
> UDP
> GRE
> IP
> ...etc
> 
> It seems like it would be sufficient to only define this now for GRE
> and if someone comes up with a need for using IP/IPsec directly after
> the TLV header they can define that behaviour and request a new type
> value.
> 
> So the new draft would only allocate one value for GRE.
> 
> Any objections to this ? please respond quickly, we need to finish
> this ASAP.
> 
> Thanks,
> Hesham
> _______________________________________________
> MEXT mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mext

_______________________________________________
Mipshop mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mipshop